Subject: Re: What's cooking extra

From: Finn Arne Gangstad <[email-masked]>
Date: Wed, 19 May 2010 19:06:56 +0200

On Wed, May 19, 2010 at 07:33:32AM -0700, Junio C Hamano wrote:

>  * (Eyvind Bernhardsen and Linus) Fixing the behaviour of crlf attribute;
>    ignoring them when core.autocrlf is not in effect was a wrong design
>    decision.
> 
>    I agree with what Linus said in the thread; I haven't yet looked at the
>    discussion in the past few days.  Also I don't know where '[PATCH v2]
>    Add "core.eol" config variable' fits in the picture.

I think this one is pretty much discussed by now, with the latest
changes this should do pretty much what Linus wanted.  Together with
the autocrlf patch, this should make CRLF handling on Windows and
mixed Linux/Windows setups a lot better!

- Finn Arne